Skip to content
Assets Overview

Query OB Account Cash Balance

This interface is used to query the detailed cash information for a specified securities account, and is a customized non-generic interface. In addition to the standard cash query results, it returns extended fields such as settled balance settled_balance, unsettled balance unsettled_balance, maximum financing limit max_finance, and available financing limit available_finance.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/asset/ob/cash_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
total_cashstringrequired

Total Cash Amount. Total Cash Amount

total_available_cashstringrequired

Total Available Amount. Total Available Amount

total_withdraw_cashobjectrequired

Total Withdraw Cash Amount. Total Withdraw Cash Amount

total_settled_balancestringrequired

Total Settled Balance. Total Settled Balance

total_unsettled_balancestringrequired

Total Unsettled Balance. Total Unsettled Balance

max_financestringrequired

Max Finance. Max Finance

available_financestringrequired

Available Balance. Available Balance

cash_listarray<object>required

Cash Lish. Cash Lish

Child attributes
currencystringrequired

Currency Type. Currency Type

cash_amountstringrequired

Cash Amount. Cash Amount

available_amountstringrequired

Aviable Amount. Aviable Amount

withdraw_amountstringrequired

Withdrawable Amount. Withdrawable Amount

settled_balancestringrequired

Settled Balance. Settled Balance

unsettled_balancestringrequired

Unsettled Balance. Unsettled Balance

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs